io.vertx.mqtt.messages

## Interface MqttPublishMessage

- All Superinterfaces:
    MqttMessage

      public interface MqttPublishMessage
      extends MqttMessage

  Represents an MQTT PUBLISH message

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MqttPublishMessage` | `create(int messageId, io.netty.handler.codec.mqtt.MqttQoS qosLevel, boolean isDup, boolean isRetain, String topicName, ByteBuf payload)` Create a concrete instance of a Vert.x publish message
    `boolean` | `isDup()`
    `boolean` | `isRetain()`
    `Buffer` | `payload()`
    `io.netty.handler.codec.mqtt.MqttQoS` | `qosLevel()`
    `String` | `topicName()`

    - ### Methods inherited from interface io.vertx.mqtt.messages.MqttMessage

      `messageId`

- - ### Method Detail

    - #### create

          static MqttPublishMessage create(int messageId,
                                           io.netty.handler.codec.mqtt.MqttQoS qosLevel,
                                           boolean isDup,
                                           boolean isRetain,
                                           String topicName,
                                           ByteBuf payload)

      Create a concrete instance of a Vert.x publish message
      Parameters:
        `messageId` - message identifier
        `qosLevel` - quality of service level
        `isDup` - if the message is a duplicate
        `isRetain` - if the message needs to be retained
        `topicName` - topic on which the message was published
        `payload` - payload message
      Returns:
        Vert.x publish message

    - #### qosLevel

          io.netty.handler.codec.mqtt.MqttQoS qosLevel()

      Returns:
        Quality of service level

    - #### isDup

          boolean isDup()

      Returns:
        If the message is a duplicate

    - #### isRetain

          boolean isRetain()

      Returns:
        If the message needs to be retained

    - #### topicName

          String topicName()

      Returns:
        Topic on which the message was published

    - #### payload

          Buffer payload()

      Returns:
        Payload message

Copyright © 2017. All rights reserved.